diff -Naur slim-1.3.6.orig/slim.conf slim-1.3.6/slim.conf
--- slim-1.3.6.orig/slim.conf	2013-10-02 00:38:05.000000000 +0200
+++ slim-1.3.6/slim.conf	2021-09-22 19:23:30.484086604 +0200
@@ -9,6 +9,8 @@
 reboot_cmd          /sbin/shutdown -r now
 console_cmd         /usr/bin/xterm -C -fg white -bg black +sb -T "Console login" -e /bin/sh -c "/bin/cat /etc/issue; exec /bin/login"
 #suspend_cmd        /usr/sbin/suspend
+## slackware suspend command
+suspend_cmd        /usr/sbin/pm-suspend
 
 # Full path to the xauth binary
 xauth_path         /usr/bin/xauth 
@@ -33,7 +35,8 @@
 # to adjust the command according to your preferred shell,
 # i.e. for freebsd use:
 # login_cmd           exec /bin/sh - ~/.xinitrc %session
-login_cmd           exec /bin/bash -login ~/.xinitrc %session
+# login_cmd           exec /bin/bash -login ~/.xinitrc %session
+login_cmd           exec /bin/bash -login /usr/share/slim/Xsession %session
 
 # Commands executed when starting and exiting a session.
 # They can be used for registering a X11 session with
@@ -41,17 +44,25 @@
 #
 # sessionstart_cmd	some command
 # sessionstop_cmd	some command
+sessionstart_cmd       /usr/bin/sessreg -a -l :0.0 %user
+sessionstop_cmd     /usr/bin/sessreg -d -l :0.0 %user
 
 # Start in daemon mode. Valid values: yes | no
 # Note that this can be overriden by the command line
 # options "-d" and "-nodaemon"
 # daemon	yes
 
-# Available sessions (first one is the default).
-# The current chosen session name is replaced in the login_cmd
+# Available sessions:
+# The current chosen session name replaces %session in the login_cmd
 # above, so your login command can handle different sessions.
+# If no session is chosen (via F1), %session will be an empty string.
 # see the xinitrc.sample file shipped with slim sources
-sessions            xfce4,icewm-session,wmaker,blackbox
+#sessions            xfce4,icewm-session,wmaker,blackbox
+# Alternatively, read available sessions from a directory of scripts:
+#sessiondir           /etc/X11/Sessions
+# Or, read available sessions from the xsessions desktop files --
+# note that this may provide a full path to the session executable!
+sessiondir     /usr/share/xsessions
 
 # Executed when pressing F11 (requires imagemagick)
 screenshot_cmd      import -window root /slim.png
@@ -84,7 +95,7 @@
 current_theme       default
 
 # Lock file
-lockfile            /var/run/slim.lock
+lockfile            /run/slim.lock
 
 # Log file
 logfile             /var/log/slim.log
